<ngx-loading [show]="loading" [config]="{
    backdropBackgroundColour: 'rgba(0, 0, 0, 0.3)',
    primaryColour: '#ffffff', secondaryColour: '#ffffff', tertiaryColour: '#ffffff', fullScreenBackdrop: true }">
</ngx-loading>
<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>Data Pasien Rawat Inap</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-12 form-group">
                <div>
                    <label class="label-control" style="font-weight: bold">{{today | date:'fullDate'}}</label>
                </div>
            </div>

            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
                <div>
                    <label class="label-control">Tampilkan
                        <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                            <option [ngValue]="5">5</option>
                            <option [ngValue]="10">10</option>
                            <option [ngValue]="50">50</option>
                            <option [ngValue]="100">100</option>
                        </select>
                        Page
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="text-right">
                    <label>Cari:
                        <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table
                    class="table table-striped table-bordered table-responsive full-data-table text-center pull-center"
                    [mfData]="dataPasienRI | dataFilter : filterQuery" #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage"
                    [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <th width="10%" class="text-center">
                                <mfDefaultSorter by="">Status</mfDefaultSorter>
                            </th>
                            <th width="10%" class="text-center">
                                <mfDefaultSorter by="">No. Antri</mfDefaultSorter>
                            </th>
                            <th width="10%" class="text-center">
                                <mfDefaultSorter by="">Datang</mfDefaultSorter>
                            </th>
                            <th width="10%" class="text-center">
                                <mfDefaultSorter by="">Kd. RM</mfDefaultSorter>
                            </th>
                            <th width="10%" class="text-center">
                                <mfDefaultSorter by="">Nama</mfDefaultSorter>
                            </th>
                            <th width="10%" class="text-center">
                                <mfDefaultSorter by="">Umur</mfDefaultSorter>
                            </th>
                            <th width="10%" class="text-center">
                                <mfDefaultSorter by="">JK</mfDefaultSorter>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let item of mf.data">
                            <td></td>
                            <td></td>
                            <td>{{item.Jam_Datang}}</td>
                            <td>{{item.Kd_RM}}</td>
                            <td>{{item.Nama}}</td>
                            <td>{{item.Umur_Masuk}}</td>
                            <td>{{item.JenKel}}</td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="dataPasienRI!=null">
                            <td colspan="7">
                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                            </td>
                        </tr>
                        <tr *ngIf="dataPasienRI==null">
                            <td colspan="7" class="text-center">Memuat Data</td>
                        </tr>
                        <tr *ngIf="dataPasienRI==''">
                            <td colspan="7" class="text-left">Total Pasien: 0</td>
                        </tr>
                        <tr *ngIf="dataPasienRI!=''">
                            <td colspan="7" class="text-left">Total pasien: {{dataPasienRI.length}}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
            <!-- <div>
                <label>Total pasien: {{dataPasienRI.length}}</label>
            </div> -->
        </div>
    </div>
</div>